Skip to content
Browse files

Fix py3k compat testing to not use __builtins__ and add unittest2 as …

…a dependency in setup.py for python < 3
  • Loading branch information...
1 parent 325bfb4 commit 400aae584ee4baa08fc6ef8ec217d4bf0b4f2178 @jterrace jterrace committed Nov 15, 2011
Showing with 3 additions and 2 deletions.
  1. +2 −2 collada/xmlutil.py
  2. +1 −0 setup.py
View
4 collada/xmlutil.py
@@ -27,12 +27,12 @@ def callable(f):
return hasattr(f, '__call__')
try:
- basestring = __builtins__["basestring"]
+ basestring
except (NameError, KeyError):
basestring = str
try:
- unicode = __builtins__["unicode"]
+ unicode
except (NameError, KeyError):
unicode = str
View
1 setup.py
@@ -9,6 +9,7 @@
if sys.version_info[0] > 2:
install_requires.append('python-dateutil>=2.0')
else:
+ install_requires.append('unittest2')
install_requires.append('python-dateutil==1.5')
setup(

0 comments on commit 400aae5

Please sign in to comment.
Something went wrong with that request. Please try again.